LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File rubygem-gem2rpm.changes of Package rubygem-gem2rpm.openSUSE_13.2_Update (Project home:darix:branches:OBS_Maintained:rubygem-gem2rpm)

-------------------------------------------------------------------
Mon Sep  8 11:02:50 UTC 2014 - mrueckert@suse.de

- changed rubinius macro

-------------------------------------------------------------------
Fri Sep  5 09:46:22 UTC 2014 - mrueckert@suse.de

- for easier bootstrapping dont use gem2rpm here for now.

-------------------------------------------------------------------
Thu Sep  4 13:34:30 UTC 2014 - mrueckert@suse.de

- make it easier to enable rbx and ruby 2.2 support

-------------------------------------------------------------------
Wed Sep  3 12:44:54 UTC 2014 - mrueckert@suse.de

- added support for building for rbx

-------------------------------------------------------------------
Mon Jul 28 11:11:27 UTC 2014 - mrueckert@suse.de

- really install the templates as docs

-------------------------------------------------------------------
Thu Jul 24 15:30:14 UTC 2014 - mrueckert@suse.de

- update to 0.10.1
  - Migrate test suite to Minitest 5.x.
  - Move gem binary extension and gem.build_complete file.
  - Merge pull request #31 from axilleas/add_check_macro
  - Add %check macro, fix typos
  - Remove Requires/Provides which are now autogenerated.
  - Simplify binary extensions installation according to the new
    guidelines.
  - Clone new template for F21 and above. Rename the old one.
  - "cp -a" implies -p.
  - Better open mode handling.
  - Test always against rawhide template.
  - List development dependencies as BuildRequires.
  - Cache rendered template in tests.
  - Prevent dangling symlink in -debuginfo.
  - Ignore release file encoding with older Ruby (fixes #23).
  - Fix generating SRPM.
  - Add description dot test case.
  - Add description ending dot in #description method.
  - Avoid 'method is redefined' warning.
  - Test against current template.
  - Merge pull request #25 from xsuchy/pull-req-dot
  - description should end with dot
  - Merge pull request #24 from strzibny/master
  - Escape % in comment
- rebased gem2rpm-change-default-template.diff, new name:
  0001-use-the-ID-from-os-release-to-use-the-proper-templat.patch
- rebased gem2rpm-0.9.2_config_file_support.patch, new name
  0002-added-basic-config-file-support-to-gem2rpm-in-yaml-f.patch
- rebased gem2rpm-0.9.2_sles12_template.patch, new name:
  0003-sle-12-templates.-they-require-the-config-file-suppo.patch 
- rebased and splitted gem2rpm-fix-opensuse-template.diff, new
  name:
  0004-openSUSE-template-fixes.patch
  0005-added-example-gem2rpm.yml.patch                            
  0006-properly-shorten-description-and-summary.patch             
  0007-Preserve-the-license-header-found-in-the-output-file.patch 

-------------------------------------------------------------------
Wed Jul 23 09:06:02 UTC 2014 - mrueckert@suse.de

- make sure the sle12 template is also installed 

-------------------------------------------------------------------
Mon Jul 21 11:32:38 UTC 2014 - mrueckert@suse.de

- added gem2rpm_bootstrap conditional:
  If this is set to true, the hardcoded subpackage/files sections
  are used. Otherwise it will use the normal gem2rpm based solution
- renamed gem2rpm.yml to gem2rpm.yml.documentation:
  this is just documentation and not the gem2rpm.yml that gem2rpm
  should pick up.

-------------------------------------------------------------------
Mon Jul 21 09:23:55 UTC 2014 - mrueckert@suse.de

- added gem2rpm-0.9.2_sles12_template.patch:
  initial template for sle12 ruby packaging
- only build for 2.1 for now

-------------------------------------------------------------------
Tue Jul 15 18:43:12 UTC 2014 - mrueckert@suse.de

- added gem2rpm.yml and install it to the installed documentation

-------------------------------------------------------------------
Tue Jul 15 18:38:35 UTC 2014 - mrueckert@suse.de

- sles 12 template
  - allow changing the master package name with config[:name]
    This is mostly useful if you want the actual main package to
    have real content after building. all the subpackages will
    ignore config[:name] and still use the gem name.

-------------------------------------------------------------------
Tue Jul 15 17:21:42 UTC 2014 - mrueckert@suse.de

- sles 12 template
  - add version suffix to the "spec file for ..." line
  - move the preamble up so we can actually use
    %define rb_build_versions ...
  - config[:disable_automatic_rdoc_dep] to disable adding automatic
    rdoc dependency. This is mostly needed for building rdoc itself
    and avoiding a bootstrap cycle.
  - actually print the patch name in the preamble
  - the scripts entry in gem2rpm.yml can now be a hash or a string.

-------------------------------------------------------------------
Tue Jul 15 14:27:57 UTC 2014 - mrueckert@suse.de

- sles 12 template
  - no longer print the gem2rpm.yml warning when the config is empty
  - add back mod_version_suffix to the spec file
    (needed for gem_install)
- converted buildrequires for ruby and ruby-devel to the macros so
  we can easily pull multiple ruby versions and also easily limit
  the ruby versions
- always buildrequire gem2rpm in generated spec files. It is the
  only clean way to solve the "have choive for rubygem(gem2rpm)"
  and still maintaining the multiversion ability
- handle config[:disable_docs] and pass --no-rdoc --no-ri to
  gem_install in that case. (mostly a workaround for the rdoc bug
  with the fastthread gem)
- added support to specify the content of the %check section.

-------------------------------------------------------------------
Fri Jul 11 08:23:20 UTC 2014 - mrueckert@suse.de

- if the config is nil, set it to an empty hash. this allows for
  less noisy template files.
- more updates for the sle 12 template.

-------------------------------------------------------------------
Thu Jul 10 16:27:03 UTC 2014 - mrueckert@suse.de

- added new tag :sources in the yaml file to track additional
  sources. this makde the next change much easier.
- make sure the config file that is passed to gem2rpm is also
  appended to the sources list automatically.
- added template for sles12 (gem2rpm-0.9.2_sles12_template.patch)

-------------------------------------------------------------------
Thu Jul 10 14:52:01 UTC 2014 - mrueckert@suse.de

- added gem2rpm-0.9.2_config_file_support.patch:
  added basic config file support to gem2rpm in yaml format. there
  is no validation as it is basically a hash where certain keys
  are picked up by our templates.
- added quilt series file to the sources list
- dropped empty doc package

-------------------------------------------------------------------
Thu Jun 26 09:58:34 UTC 2014 - mrueckert@suse.de

- update rpm macros requires to 5

-------------------------------------------------------------------
Wed Jun 25 17:07:59 UTC 2014 - mrueckert@suse.de

- fix filelist for multi ruby packaging

-------------------------------------------------------------------
Wed Jun 25 16:28:46 UTC 2014 - mrueckert@suse.de

- add ruby 2.2 support

-------------------------------------------------------------------
Tue Jun 24 15:19:28 UTC 2014 - mrueckert@suse.de

- added BuildIgnore for rubygem(gem2rpm), otherwise we can not
  bootstrap a new ruby version. this package will need the
  subpackages for a new ruby version to be created manually.

-------------------------------------------------------------------
Wed Jun 18 20:10:04 UTC 2014 - mrueckert@suse.de

- fixed paths in the u-a scriptlets

-------------------------------------------------------------------
Wed Jun 18 18:47:31 UTC 2014 - mrueckert@suse.de

- no longer provide gem2rpm-opensuse
- use new style packaging but the hardcoded version

-------------------------------------------------------------------
Thu Feb  6 11:52:43 UTC 2014 - coolo@suse.com

- buildrequire ruby-devel for extensions

-------------------------------------------------------------------
Mon Jan 13 19:52:26 UTC 2014 - coolo@suse.com

- switch to the macros Klaus wrote

- modified patches:
  * gem2rpm-fix-opensuse-template.diff

-------------------------------------------------------------------
Wed Jun 26 14:48:32 UTC 2013 - coolo@suse.com

- doing update-alternatives correctly after reading
   http://en.opensuse.org/openSUSE:Packaging_Multiple_Version_guidelines

-------------------------------------------------------------------
Wed Jun 26 08:29:30 UTC 2013 - coolo@suse.com

- avoid --force in update-alternatives as SLE11 does not have that ;(

-------------------------------------------------------------------
Mon Jun 10 10:04:12 UTC 2013 - coolo@suse.com

- make sure license.txt is also symlinked

-------------------------------------------------------------------
Sat Jun  8 06:42:37 UTC 2013 - coolo@suse.com

- integrate more of the version into the mod_weight to give
  an easier job to update-alternatives
- use --force in update-alternatives to replace (old) binaries

-------------------------------------------------------------------
Sat May 25 21:00:11 UTC 2013 - coolo@suse.com

- include changelog and history files too

-------------------------------------------------------------------
Tue May  7 09:34:43 UTC 2013 - coolo@suse.com

- more license files

-------------------------------------------------------------------
Thu May  2 08:58:11 UTC 2013 - coolo@suse.com

- ciaran wants to see the license files mentioned in %docdir, so create
  symlinks

-------------------------------------------------------------------
Sun Apr 28 06:55:08 UTC 2013 - coolo@suse.com

- support ruby 2.0

-------------------------------------------------------------------
Sat Apr 27 16:09:07 UTC 2013 - coolo@suse.com

- update to 0.9.2 - no changelog

-------------------------------------------------------------------
Mon Apr 22 19:03:01 UTC 2013 - mrueckert@suse.de

- fix redirection in gem2rpm-opensuse

-------------------------------------------------------------------
Mon Mar 18 13:04:43 UTC 2013 - coolo@suse.com

- update to 0.8.4 - fixes for fedora 18
- use url for sources

-------------------------------------------------------------------
Mon Aug  6 10:54:32 UTC 2012 - coolo@suse.com

- buildrequire rdoc if there are options (I just picked 3.10 as
  minimum, which is one higher than what ruby 1.9.1 offers in itself)

-------------------------------------------------------------------
Wed Aug  1 06:07:50 UTC 2012 - coolo@suse.com

- shorten the summary

-------------------------------------------------------------------
Mon Jul 30 12:43:00 UTC 2012 - cfarrell@suse.com

- license update: GPL-2.0+
  See data/LICENSE

-------------------------------------------------------------------
Fri Jul 27 10:00:27 UTC 2012 - coolo@suse.com

- do not use %gem_unpack by default

-------------------------------------------------------------------
Fri Jul 27 08:19:14 UTC 2012 - coolo@suse.com

- do not put out empty URLs

-------------------------------------------------------------------
Thu Jul 26 13:11:05 UTC 2012 - coolo@suse.com

- fix OS detection on SLE11

-------------------------------------------------------------------
Thu Jul 26 09:56:31 UTC 2012 - coolo@suse.com

- no longer provide stuff for older distributions, we rely on patched 
  rpms

-------------------------------------------------------------------
Wed Jul 25 13:43:53 UTC 2012 - coolo@suse.com

- do not add buildrequires, but install with -f

-------------------------------------------------------------------
Tue Jul 24 16:17:16 UTC 2012 - coolo@suse.com

- cleanup the opensuse template

-------------------------------------------------------------------
Tue Jul 24 15:37:15 UTC 2012 - coolo@suse.com

- update to 0.8.1, major cleanup and base on new macros

-------------------------------------------------------------------
Wed Apr  4 15:42:10 UTC 2012 - coolo@suse.com

- small cleanup

-------------------------------------------------------------------
Wed Dec  7 13:38:47 UTC 2011 - jreidinger@suse.com

- fix requirements, as package need to run json parser 

-------------------------------------------------------------------
Wed Mar 23 11:33:09 UTC 2011 - mrueckert@suse.de

- dont check if spec.license responds_to each. strings have that
  method too. check for join
- minor template cleanup

-------------------------------------------------------------------
Tue Mar 22 15:48:03 UTC 2011 - jreidinger@novell.com

- Don't have hardcoded license. Try to extract it from specfile or
  if it fail force user to manually check license. It avoids
  problems with wrong license for rubygems

-------------------------------------------------------------------
Fri Feb 18 12:43:38 UTC 2011 - mrueckert@suse.de

- remove license tag from doc/testsuite package

-------------------------------------------------------------------
Mon Jan 31 14:48:18 UTC 2011 - mrueckert@suse.de

- small template clean up

-------------------------------------------------------------------
Thu Jan 20 13:44:42 UTC 2011 - mrueckert@suse.de

- remove version from header comment
- calculate the year on run

-------------------------------------------------------------------
Mon Jan 17 13:40:33 UTC 2011 - mvidner@suse.cz

- Updated openSUSE template to produce *- doc and *-testsuite subpackages.
  http://lists.opensuse.org/opensuse-ruby/2010-12/msg00001.html 

-------------------------------------------------------------------
Thu Dec  9 15:33:55 UTC 2010 - chris@computersalat.de

- update template
  o # Copyright (c) 2010

-------------------------------------------------------------------
Wed Jun  9 16:28:21 UTC 2010 - mrueckert@suse.de

- fix typo in template:
  "requirements" is not "requirement".

-------------------------------------------------------------------
Wed Jun  9 09:49:19 UTC 2010 - mrueckert@suse.de

- fix deprecation warning in template with newer versions of rubygems:
  version_requirements is now called requirements

-------------------------------------------------------------------
Tue May 25 16:06:25 UTC 2010 - mrueckert@suse.de

- use rubygems_requires macro instead of repeating the
  #if-conditional in every package

-------------------------------------------------------------------
Tue May 25 11:22:11 UTC 2010 - mrueckert@suse.de

- use requires_eq/requires_ge instead of hardcoding the rubygems
  version during spec generation

-------------------------------------------------------------------
Tue Mar  2 12:56:07 UTC 2010 - prusnak@suse.cz

- use default URL when none is specified in gem (default-url.patch)

-------------------------------------------------------------------
Fri Jan 22 17:32:57 CET 2010 - prusnak@suse.cz

- fix version transform (fix-spec-versions.patch)

-------------------------------------------------------------------
Sat Nov 14 02:08:21 UTC 2009 - mrueckert@suse.de

- ignore development type requires of gems

-------------------------------------------------------------------
Fri Mar 27 17:38:45 CET 2009 - mrueckert@suse.de

- fix opensuse template

-------------------------------------------------------------------
Fri Mar 27 16:06:28 CET 2009 - mrueckert@suse.de

- initial package